﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Wcdf.Xaml;
using Wcdf.BaseData.Model;
using System.Windows;
using Wcdf.ToolClass;

namespace Wcdf.BaseData.Client.ViewModel
{
    public class BsMeteriaListVM : ViewModel<BsMaterialList>
    {
        private string CatalogID { get; set; }

        public BsMeteriaListVM()
        {
            if (!System.ComponentModel.DesignerProperties.GetIsInDesignMode(this))
            {
                
            }
        }

        public void GetMeterialList(object sender, Wcdf.Xaml.ExecuteEventArgs e)
        {
            var criteral = e.MethodParameter as Wcdf.Data.Criteria;
            DoRefresh(() => Wcdf.DataPortal.Fetch<BsMaterialList>(criteral));
        }

        public void OnCatalogSelected(object sender, Wcdf.Xaml.ExecuteEventArgs e)
        {
            this.CatalogID = (string)e.MethodParameter;
            var cri = new Wcdf.Data.Criteria();
            cri.AddFilter<BsMaterial>(o => o.CatalogID == this.CatalogID);
            DoRefresh(() => Wcdf.DataPortal.Fetch<BsMaterialList>(cri));
        }
    }
}
