﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Wcdf.Control;

namespace Wcdf.AppClient4WPF
{
    /// <summary>
    /// Interaction logic for Login.xaml
    /// </summary>
    public partial class Login : Window
    {
        public Login()
        {
            InitializeComponent();
        }

        protected override void OnClosed(EventArgs e)
        {
            base.OnClosed(e);
            //Application.Current.Shutdown();            
        }

        private void btnLogin_Click(object sender, RoutedEventArgs e)
        {
            var vm = this.main.DataContext as Wcdf.AppClient4WPF.ViewModel.LoginViewModel;
            //var ev = new Wcdf.Xaml.ExecuteEventArgs();
            if(vm.Login())
                this.DialogResult = true;
        }
		
		private void Header_MouseMove(object sender, MouseEventArgs e)
        {
            if (e.LeftButton == System.Windows.Input.MouseButtonState.Pressed)
                this.DragMove();
        }

		private void Minimize_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			this.WindowState = System.Windows.WindowState.Minimized;
		}

		private void CloseWindow_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			this.Close();
		}
    }
}
