﻿using System.Windows;
using System.Windows.Controls;

namespace Wcdf.Control.OutlookBar
{
    public class OutlookBarItem : TabItem
    {
        public static DependencyProperty TitleProperty = DependencyProperty.Register("Title",
                                                                                      typeof(object),
                                                                                      typeof(OutlookBarItem),
                                                                                      new PropertyMetadata(null));

        public object Title
        {
            get { return GetValue(TitleProperty); }
            set { SetValue(TitleProperty, value); }
        }

        public OutlookBarItem()
        {
            //DefaultStyleKey = typeof(OutlookBarItem);
        }
    }
}
