﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
namespace Wcdf.Control.TabControlEx
{
    public static class TabItemExProperties
    {
        public static Image GetTabItemExImage(TabItemEx fabTabItem)
        {
            return (Image)fabTabItem.GetValue(TabItemExImageProperty);
        }

        public static void SetTabItemExImage(
          TabItemEx fabTabItem, Image value)
        {
            fabTabItem.SetValue(TabItemExImageProperty, value);
        }

        public static readonly DependencyProperty TabItemExImageProperty =
            DependencyProperty.RegisterAttached(
            "TabItemExImage",
            typeof(Image),
            typeof(TabItemExProperties));



    }
}
