﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace Wcdf.SysProvide.Client
{
    public class PermissonTypeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            switch ((int)value)
            {
                case 0 :
                    return "分组";
                case 1:
                    return "菜单项";
                case 2:
                    return "按钮功能";
                default :
                    return 0;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            switch ((string)value)
            {
                case "分组":
                    return 0;
                case "菜单项":
                    return 1;
                case "按钮功能":
                    return 2;
                default:
                    return 0;
            }
        }
    }
}
