﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Wcdf;
using System.ComponentModel.DataAnnotations;

namespace Wcdf.SysProvide.Model
{

    [Serializable]
    public class SysRoleUser : BusinessBase<SysRoleUser>
    {
        #region MapperName
        public override string GetDataObjectName()
        {
            return "sys_role_user";
        }
        #endregion

        protected override void AddBusinessRules()
        {
        }

        #region Data Feild Property

        public static readonly PropertyInfo<Guid> KeyIDProperty = RegisterProperty<Guid>(c => c.KeyID, "KeyID",RelationshipTypes.PrimaryKey);
        public Guid KeyID
        {
            get { return GetProperty(KeyIDProperty); }
            set { SetProperty(KeyIDProperty, value); }
        }

        public static readonly PropertyInfo<string> UserIDProperty = RegisterProperty<string>(c => c.UserID, "UserID");
        public string UserID
        {
            get { return GetProperty(UserIDProperty); }
            set { SetProperty(UserIDProperty, value); }
        }

        public static readonly PropertyInfo<string> UserNameProperty = RegisterProperty<string>(c => c.UserName, "UserName");
        public string UserName
        {
            get { return GetProperty(UserNameProperty); }
            set { SetProperty(UserNameProperty, value); }
        }

        public static readonly PropertyInfo<string> RoleIDProperty = RegisterProperty<string>(c => c.RoleID, "RoleID");
        public string RoleID
        {
            get { return GetProperty(RoleIDProperty); }
            set { SetProperty(RoleIDProperty, value); }
        }

        public static readonly PropertyInfo<string> RoleNameProperty = RegisterProperty<string>(c => c.RoleName, "RoleName");
        public string RoleName
        {
            get { return GetProperty(RoleNameProperty); }
            set { SetProperty(RoleNameProperty, value); }
        }

        #endregion
    }

    [Serializable]
    public class SysRoleUserList : BusinessListBase<SysRoleUserList, SysRoleUser>
    {
        public SysRoleUserList()
        {
        }
    }

}
