﻿using System;
using System.ComponentModel;

namespace Wcdf.Core
{
    /// <summary>
    /// 提供复杂及简单情景的数据源绑定,扩展了<see cref="IBindingList" />,增加事件.  
    /// </summary>
    public interface IExtendedBindingList : IBindingList
    {
        /// <summary>
        /// Event indicating that an item is being
        /// removed from the list.
        /// </summary>
        event EventHandler<RemovingItemEventArgs> RemovingItem;
    }
}
