﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Wcdf.Core
{
    /// <summary>
    /// 为ObservableCollection定义框架所需的额外元素    
    /// </summary>
    public interface IObservableBindingList
    {
        /// <summary>
        /// 创建新项到集合中.
        /// </summary>
        object AddNew();
        /// <summary>
        /// 列表项移除引发的事件.
        /// </summary>
        event EventHandler<RemovingItemEventArgs> RemovingItem;
    }
}
