﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Wcdf.Core
{
    /// <summary>
    /// RemovingItem事件参数.    
    /// </summary>
    public class RemovingItemEventArgs : EventArgs
    {
        private object _removingItem;

        /// <summary>
        /// 从列表移除的项        
        /// </summary>
        public object RemovingItem
        {
            get { return _removingItem; }
        }

        /// <summary>
        /// Create an instance of the object.
        /// </summary>
        /// <param name="removingItem">
        /// A reference to the item that was 
        /// removed from the list.
        /// </param>
        public RemovingItemEventArgs(object removingItem)
        {
            _removingItem = removingItem;
        }
    }
}
