﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Wcdf.Security
{
    /// <summary>
    /// 对象角色检查接口    
    /// </summary>
    public interface ICheckRoles
    {
        /// <summary>
        /// 返回当前用户是否在指定的安全角色中.        
        /// </summary>
        /// <param name="role">
        /// 需要检查的角色.
        /// </param>
        bool IsInRole(string role);
    }
}
