﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.Security.Principal;

namespace Wcdf.Security
{
    /// <summary>
    /// 表示未认识的角色对象.包含了未认识的身份标识    
    /// </summary>
    [Serializable]    
    public sealed class UnauthenticatedPrincipal : BusinessPrincipalBase
    {
        /// <summary>
        /// Creates an instance of the object.
        /// </summary>
        public UnauthenticatedPrincipal() : base(new UnauthenticatedIdentity()) { }

        /// <summary>
        /// Returns a value indicating whether the user is in the
        /// specified role.
        /// </summary>
        /// <param name="role">Role name.</param>
        /// <returns></returns>
        public override bool IsInRole(string role)
        {
            return base.IsInRole(role);
        }
    }
}
