﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Wcdf.Security
{
    [Serializable]
    public class WcdfIdentity : BusinessIdentityBase
    {
        public UserInfo UserInfo { get; protected set; }
        public WcdfIdentity()
        {
            this.AuthenticationType = "Wcdf";
            this.IsAuthenticated = true;
            
        }

        public void SetUserInfo(UserInfo uinfo)
        {
            this.UserInfo = uinfo;
            this.Name = UserInfo.RoleID;
        }
    }
}
