﻿
namespace Wcdf.Serialization.Mobile
{
    /// <summary>
    /// 定义方法以支持MobileFormatter反序列化回调方法．    
    /// </summary>
    public interface ISerializationNotification
    {
        /// <summary>
        /// 序列化完成后调用方法        
        /// </summary>
        /// <remarks>
        /// 该方法在对角图中的所有对象反序列化完成以后调用．        
        /// </remarks>
        void Deserialized();
    }
}
