﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Wcdf.Reflection;

namespace Wcdf.Server
{
    public class DefaultServiceObject : IServiceObject
    {
        /// <summary>
        /// Object instance managed by LateBoundObject.
        /// </summary>
        public object Instance { get; private set; }

        public bool IsCollection { get; private set; }

        public DefaultServiceObject()
        {

        }

        public DefaultServiceObject(object instance)
        {
            this.Instance = instance;
            if (instance is Wcdf.Core.IEditableCollection)
                this.IsCollection = true;
        }

        #region IServiceObject Interface
        public void OnDataPorta_Invoke(object obj,DataPortalEventArgs args)
        {

        }

        public void OnDataPorta_InvokeComplete(object obj,DataPortalEventArgs args)
        {

        }

        #endregion
    }
}
