﻿using System.Runtime.Serialization;
using Wcdf.Data;

namespace Wcdf.Server.Hosts.WcfChannel
{
    /// <summary>
    /// 包含过滤参数的WCF请求类
    /// </summary>
    [DataContract]
    public class CriteriaRequest
    {
        /// <summary>
        /// 请求类型名称,请指定为完全限定名
        /// </summary>
        /// <remarks>
        /// 由于应用的是Type.GetType方法,为了能保证能取出类型.
        /// 需要将类型名指定为完全限定名
        /// </remarks>        
        [DataMember]
        public string TypeName { get; set; }

        /// <summary>
        /// 过滤参数
        /// </summary>
        [DataMember]
        public Criteria CriteriaData { get; set; }
        //public byte[] CriteriaData { get; set; }

        /// <summary>
        /// 一次请求的上下文信息
        /// </summary>
        [DataMember]
        public DataPortalContext Context { get; set; }

    }
}
