﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Wcdf.Server.Hosts.WcfChannel
{
    /// <summary>
    /// WCF服务返回类,包含了结果数据或异常信息.
    /// </summary>
    [DataContract]
    public class WcfResponse
    {
        /// <summary>
        /// 结果数据
        /// </summary>
        [DataMember]
        public object ObjectData { get; set; }

        /// <summary>
        /// 传输处理类型针对ObjectData需要如何处理，反序列化，压缩等
        /// </summary>
        [DataMember]
        public string TransmissionType { get; set; }

        [DataMember]
        public ServiceExceptionDetail ErrorData { get; set; }

    }
}
