﻿
namespace Wcdf
{
    /// <summary>
    /// 服务端事务控制技术类型    
    /// </summary>
    public enum TransactionalTypes
    {
        /// <summary>
        /// Com+技术,通过COM方法的事务属性设置.由COM+自行维护事务.        
        /// </summary>
        EnterpriseServices,
        /// <summary>
        /// 通过System.Transactions.TransactionScope类控制分布式事务.        
        /// </summary>
        TransactionScope,
        /// <summary>
        /// 通过不明确的事务技术控制.        
        /// </summary>
        /// <remarks>
        /// 自定义的事务控制..包括Ado.net和System.Transactions.TransactionScope的事务控制.        
        /// </remarks>
        Manual
    }
}
