﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace Wcdf.BaseData.Client.ViewModel
{
    public class ItemsToCheckedItemsConverter : IValueConverter
    {

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                var str = value.ToString();
                //var item = new List<KeyValuePair<string, string>>();
                var item = from ch in str.ToCharArray()
                           select ch.ToString();
                return item.ToList<string>();
                //if(string.IsNullOrEmpty(str))
                //{
                //    return item;
                //}
                //if (str.Contains("Q"))
                //{
                //    item.Add(new KeyValuePair<string,string>("Q", "数量"));
                //}
                //if (str.Contains("V"))
                //{
                //    item.Add(new KeyValuePair<string,string>("V", "体积"));                                     
                //}
                //if (str.Contains("W"))
                //{
                //    item.Add(new KeyValuePair<string,string>("W", "重量"));
                //}
                //if (str.Contains("A"))
                //{
                //    item.Add(new KeyValuePair<string,string>("A", "面积"));
                //}
                //if (str.Contains("L"))
                //{
                //    item.Add(new KeyValuePair<string,string>("L", "长度"));
                //}
                //return item;
            }
            return new List<string>();
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
            {
                return null;
            }
            var lt = value as List<object>;
            if (lt == null || lt.Count == 0)
                return null;
            return string.Concat(lt.ConvertAll<string>(new Converter<object, string>((o) => o.ToString())));
        }

        #endregion
    }
}
