﻿using System;
using System.Windows.Data;

namespace Wcdf.Control.Converter
{
    public class String2BoolConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            switch ((string)value)
            {
                case "T":
                    return true;
                case "F":
                    return false;
                default:
                    return false;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            switch ((bool?)value)
            {
                case true:
                    return "T";
                case false:
                    return "F";
                default:
                    return null;
            }
        }
    }
}
