﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Windows.Controls.Ribbon;
using System.Windows;
using System.Windows.Media.Imaging;

namespace Wcdf.Control
{
    public class RibbonEx : Ribbon
    {
        public RibbonEx()
        {
            //this.Loaded += new RoutedEventHandler(RibbonEx_Loaded);
            this.Initialized += new EventHandler(RibbonEx_Initialized);
        }

        void RibbonEx_Initialized(object sender, EventArgs e)
        {
            if (System.ComponentModel.DesignerProperties.GetIsInDesignMode(this))
                return;
            foreach (var item in this.QuickAccessToolBar.Items)
            {
                if (item is RibbonButton)
                {
                    var id = (string)(item as RibbonButton).QuickAccessToolBarId;
                    if (id == null) return;
                    var btn = item as RibbonButton;
                    BitmapImage logo;
                    switch (id)
                    {                        
                        case "1000":
                            //新增
                            if (btn.SmallImageSource != null)
                                break;
                            logo = new BitmapImage();
                            logo.BeginInit();
                            logo.UriSource = new Uri("pack://siteoforigin:,,,/Images/Icons/1000.png");
                            logo.EndInit();
                            btn.SmallImageSource = logo;
                            break;
                        case "1001":
                            //编辑
                            if (btn.SmallImageSource != null)
                                break;
                            logo = new BitmapImage();
                            logo.BeginInit();
                            logo.UriSource = new Uri("pack://siteoforigin:,,,/Images/Icons/1001.png");
                            logo.EndInit();
                            btn.SmallImageSource = logo;
                            break;
                        case "1002":
                            //保存
                            if (btn.SmallImageSource != null)
                                break;
                            logo = new BitmapImage();
                            logo.BeginInit();
                            logo.UriSource = new Uri("pack://siteoforigin:,,,/Images/Icons/1002.png");
                            logo.EndInit();
                            btn.SmallImageSource = logo;
                            break;                       
                        case "1003":
                            //取消
                            if (btn.SmallImageSource != null)
                                break;
                            logo = new BitmapImage();
                            logo.BeginInit();
                            logo.UriSource = new Uri("pack://siteoforigin:,,,/Images/Icons/1003.png");
                            logo.EndInit();
                            btn.SmallImageSource = logo;
                            break;
                        case "1004":
                            //删除
                            if (btn.SmallImageSource != null)
                                break;
                            logo = new BitmapImage();
                            logo.BeginInit();
                            logo.UriSource = new Uri("pack://siteoforigin:,,,/Images/Icons/1004.png");
                            logo.EndInit();
                            btn.SmallImageSource = logo;
                            break;
                        default:
                            break;
                    }
                }
            }
        }

        void RibbonEx_Loaded(object sender, RoutedEventArgs e)
        {
            //FrameworkElement titlePanel = this.Template.FindName("PART_TitlePanel", this) as FrameworkElement;
            //if (titlePanel != null)
            //{
            //    FrameworkElement titlePanelHost = titlePanel.Parent as FrameworkElement;
            //    if (titlePanelHost != null)
            //    {
            //        titlePanelHost.Visibility = Visibility.Collapsed;
            //    }
            //}            
        }
    }
}
