﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Wcdf.SysProvide.Model;

namespace Wcdf.SysProvide.Client
{
    /// <summary>
    /// Interaction logic for DlgCodeType.xaml
    /// </summary>
    public partial class DlgCodeType : Window
    {
        public SysCodeType CodeType { get; set; }

        public DlgCodeType(SysCodeType ct)
        {
            CodeType = ct;            
            InitializeComponent();
            this.DataContext = this.CodeType;
            CodeType.BeginEdit();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var sct = this.DataContext as SysCodeType;
            CodeType.ApplyEdit();
            if(sct.IsValid)
                this.DialogResult = true;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            CodeType.CancelEdit();
            this.DialogResult = false;
        }
    }
}
