﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Wcdf.Xaml;
using Wcdf.SysProvide.Model;
using Wcdf.Data;

namespace Wcdf.SysProvide.Client.ViewModel
{
    public class SysCodeDictListVM : ViewModel<SysCodeDictList>
    {
        public SysCodeDictListVM()
        {
            //DoRefresh(()=>Wcdf.DataPortal<SysCodeDictList>());
        }

        public void GetCodeDictList(object sender,Wcdf.Xaml.ExecuteEventArgs e)
        {
            var ct = e.MethodParameter as SysCodeType;
            if (ct.IsClass == "1")
                return;
            Criteria cri = new Criteria();
            cri.AddFilter<SysCodeDict>(o => o.CodeType.Equals(ct.CodeType));
            this.DoRefresh(() => DataPortal.Fetch<SysCodeDictList>(cri));
        }

        public void AddNewCD(object sender, Wcdf.Xaml.ExecuteEventArgs e)
        {
            var ct = e.MethodParameter as SysCodeType;            
            var scd = this.Model.AddNew();
            scd.KeyID = Guid.NewGuid();
            scd.CodeType = ct.CodeType;
        }
    }
}
