﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Wcdf.Xaml;
using Wcdf.SysProvide.Model;
using System.Windows;
using Wcdf.ToolClass;

namespace Wcdf.SysProvide.Client.ViewModel
{
    public class SysOrganizationListVM:ViewModel<SysOrganizationList>
    {

        public SysOrganizationListVM()
        {
            
            if (!System.ComponentModel.DesignerProperties.GetIsInDesignMode(this))
            {
                this.ManageObjectLifetime = false;
                DoRefresh(() => Wcdf.DataPortal.Fetch<SysOrganizationList>());
                //this.OrgTree = new EntityTree<SysOrganizationList, SysOrganization>();
                //this.OrgTree.ChildNodes = new List<EntityTree<SysOrganizationList, SysOrganization>>();
                //var topNode = new EntityTree<SysOrganizationList, SysOrganization>()
                //{
                //    Node = new SysOrganization() { OrgName = "组织体系" },
                    
                //});
                this.OrgTree = new EntityTree<SysOrganizationList, SysOrganization>(this.Model, new SysOrganization(), "OrgID", "ParentOrgID");
                this.OrgTree.Node = new SysOrganization() { OrgName = "集团" };
            }
        }   

        #region UI
        public static readonly DependencyProperty OrgTreeProperty =
        DependencyProperty.Register("OrgTree", typeof(EntityTree<SysOrganizationList, SysOrganization>), typeof(SysOrganizationListVM), new PropertyMetadata(null));
        /// <summary>
        /// 
        /// </summary>
        public EntityTree<SysOrganizationList,SysOrganization> OrgTree
        {
            get { return (EntityTree<SysOrganizationList, SysOrganization>)GetValue(OrgTreeProperty); }
            set { SetValue(OrgTreeProperty, value); }
        }

        public static readonly DependencyProperty SelectedItemProperty =
        DependencyProperty.Register("SelectedItem", typeof(SysOrganization), typeof(SysOrganizationListVM), new PropertyMetadata(null));
        /// <summary>
        /// 
        /// </summary>
        public SysOrganization SelectedItem
        {
            get { return (SysOrganization)GetValue(SelectedItemProperty); }
            set { SetValue(SelectedItemProperty, value); }
        }

        public void ShowItem(object sender, Wcdf.Xaml.ExecuteEventArgs e)
        {

        }
        #endregion
    }
}
