﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using Wcdf.Server.Hosts.WcfChannel;

namespace Wcdf.SysProvide.Model
{
    [ServiceContract]
    public interface ISysPortal
    {
        /// <summary>
        /// 登陆验证,返回登陆信息.
        /// </summary>
        /// <param name="userName"></param>
        /// <param name="password"></param>
        /// <param name="infos"></param>
        /// <returns></returns>
        [UseNetDataContract]
        [OperationContract]
        Wcdf.Server.DataPortalResult UserLogin(string loginID, string password, string orgID, string orgName,params object[] infos);

        /// <summary>
        /// 认证用户，取得该用户下的公司列表
        /// </summary>
        /// <param name="loginID">登陆名</param>
        /// <param name="password"></param>
        /// <returns></returns>
        [OperationContract]
        [UseNetDataContract]
        SysOrganizationList Authorization(string loginID, string password);

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        [OperationContract]
        [UseNetDataContract]
        SysPermissionList GetFuncMenu();
    }
}
