﻿using System;

namespace Wcdf.SysProvide.Model
{
    [Serializable]
    public class SysRolePermission : BusinessBase<SysRolePermission>
    {
        #region MapperName
        public override string GetDataObjectName()
        {
            return "sys_role_permission";
        }
        #endregion

        protected override void AddBusinessRules()
        {
        }

        #region Data Feild Property

        public static readonly PropertyInfo<Guid> KeyIDProperty = RegisterProperty<Guid>(c => c.KeyID, "KeyID");
        public Guid KeyID
        {
            get { return GetProperty(KeyIDProperty); }
            set { SetProperty(KeyIDProperty, value); }
        }

        public static readonly PropertyInfo<string> RoleIDProperty = RegisterProperty<string>(c => c.RoleID, "RoleID");
        public string RoleID
        {
            get { return GetProperty(RoleIDProperty); }
            set { SetProperty(RoleIDProperty, value); }
        }

        public static readonly PropertyInfo<string> RoleNameProperty = RegisterProperty<string>(c => c.RoleName, "RoleName");
        public string RoleName
        {
            get { return GetProperty(RoleNameProperty); }
            set { SetProperty(RoleNameProperty, value); }
        }

        public static readonly PropertyInfo<string> PermissionKeyIDProperty = RegisterProperty<string>(c => c.PermissionKeyID, "PermissionKeyID");
        public string PermissionKeyID
        {
            get { return GetProperty(PermissionKeyIDProperty); }
            set { SetProperty(PermissionKeyIDProperty, value); }
        }

        public static readonly PropertyInfo<string> ThreeStateProperty = RegisterProperty<string>(c => c.ThreeState, "ThreeState");
        public string ThreeState
        {
            get { return GetProperty(ThreeStateProperty); }
            set { SetProperty(ThreeStateProperty, value); }
        }

        #endregion
    }

    [Serializable]
    public class SysRolePermissionList : BusinessListBase<SysRolePermissionList, SysRolePermission>
    {
        public SysRolePermissionList()
        {
        }
    }

}
