﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Wcdf.Server;
using Wcdf.SysProvide.Model;
using Wcdf.Data;

namespace Wcdf.SysProvide.Service
{
    public class RoleBound : IServiceObject
    {
        public void OnDataPorta_Invoke(object obj,DataPortalEventArgs args)
        {
            if (args.Operation == DataPortalOperations.Update)
            {
                var role = obj as SysRole;
                if (role.IsDeleted)
                {
                    //删除前验证
                    //throw new Wcdf.Rules.ValidationException("不让你删除");
                    DataAccess da = new DataAccess(role.GetDataLocation());
                    string sql = string.Format("select 1 from sys_role_user where RoleID='{0}'", role.RoleID);
                    var co = da.ExecuteScalar(sql);
                    if (co != null)
                    {
                        throw new Wcdf.Rules.ValidationException("该角色已经分配给用户,不能直接删除.");
                    }
                }
            }
        }

        public void OnDataPorta_InvokeComplete(object obj,DataPortalEventArgs args)
        {
            if (args.Operation == DataPortalOperations.Update)
            {
                var role = obj as SysRole;
                if (role.IsDeleted)
                {
                    //删除与之相当的角色菜单的关联
                    //throw new Wcdf.Rules.ValidationException("不让你删除");
                    DataAccess da = new DataAccess(role.GetDataLocation());
                    string sql = string.Format("delete from sys_role_permission where RoleID = '{0}'", role.RoleID);
                    da.ExecuteNonQuery(sql);
                }
                else if (role.IsFieldDirty(o => o.RoleID))
                {
                    //ROLEID变更
                }
                
            }
        }
    }
}
