﻿
namespace Wcdf.Core.FieldManager
{
    /// <summary>
    /// 定义了数据存储对象的实现,及相关的属性及方法.    
    /// </summary>
    public interface IFieldData : ITrackStatus
    {
        /// <summary>
        /// 字段名称.
        /// </summary>
        string Name { get; }
        /// <summary>
        /// 字段值.
        /// </summary>
        /// <value>字段值.</value>
        /// <returns>字段值.</returns>
        object Value { get; set; }
        /// <summary>
        /// 标记为未更改对象.
        /// </summary>
        void MarkClean();
    }
}
