﻿
namespace Wcdf.Core.FieldManager
{
    /// <summary>
    /// 实现对象数据存储    
    /// </summary>
    public interface IFieldData<T> : IFieldData
    {
        /// <summary>
        /// Gets or sets the field value.
        /// </summary>
        /// <value>The value of the field.</value>
        /// <returns>The value of the field.</returns>
        new T Value { get; set; }
    }
}
