﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Wcdf.Core
{
    /// <summary>
    /// 指示MobileFormatter用于何种类型的调用.    
    /// </summary>
    public enum StateMode
    {
        /// <summary>
        /// The object is being serialized for
        /// a clone or data portal operation.
        /// </summary>
        Serialization,
        /// <summary>
        /// The object is being serialized for
        /// an n-level undo operation.
        /// </summary>
        Undo
    }
}
