﻿using System;

namespace Wcdf.DataPortalClient
{
    /// <summary>
    /// 
    /// </summary>
    public interface IDataPortalProxyFactory
    {
        /// <summary>
        /// Creates the DataPortalProxy to use for DataPortal call on the objectType.
        /// </summary>
        IDataPortalProxy Create(Type objectType);

        /// <summary>
        /// Resets the data portal proxy type, so the
        /// next data portal call will reload the proxy
        /// type based on current configuration values.
        /// </summary>
        void ResetProxyType();
    }
}
