﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Wcdf.DataPortalClient.Wcf
{
    /// <summary>
    /// 模块配置信息,以每DLL为一配置
    /// </summary>
    public class ModuleConfig
    {
        /// <summary>
        /// 模块名称.即项目的Assemble名称.
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 数据门户地址1,可当内网地址用
        /// </summary>
        public string DataPortalUrlString { get; set; }
        ///// <summary>
        ///// 数据门户地址2,可当外网地址用
        ///// </summary>
        //public string DataPortalUrlString2 { get; set; }

        private Dictionary<string, ServiceConfig> _serviceInfoList;
        public Dictionary<string, ServiceConfig> ServiceInfoList
        {
            get
            {
                if (_serviceInfoList == null)
                {
                    _serviceInfoList = new Dictionary<string, ServiceConfig>();
                }
                return _serviceInfoList;
            }
            set
            {
                _serviceInfoList = value;
            }
        }
    }
}
