﻿
namespace Wcdf.Rules
{
    /// <summary>
    /// 定义了在规则引擎和业务内规则之间的互动.  
    /// </summary>
    public interface IHostRules
    {
        /// <summary>
        /// 规则检查开始.
        /// </summary>
        /// <param name="property">Property for rule.</param>
        void RuleStart(Wcdf.Core.IPropertyInfo property);
        /// <summary>
        /// 规则检查结束.
        /// </summary>
        /// <param name="property">Property for rule.</param>
        void RuleComplete(Wcdf.Core.IPropertyInfo property);
        /// <summary>
        /// 规则检查结束.
        /// </summary>
        /// <param name="property">Property for rule.</param>
        void RuleComplete(string property);
        /// <summary>
        /// 所有规则检查结束
        /// </summary>
        void AllRulesComplete();
    }
}
