﻿using System;
using System.Security.Principal;
using System.Runtime.Serialization;

namespace Wcdf.Security
{
    /// <summary>
    /// 由业务框架继承的身份标识类.
    /// </summary>
    [Serializable]
    [DataContract]
    public abstract class BusinessIdentityBase : IIdentity
    {

        #region IIdentity Members

        public string AuthenticationType
        {
            get;
            protected set;
        }

        public bool IsAuthenticated
        {
            get;
            protected set;
        }

        public string Name
        {
            get;
            protected set;
        }

        #endregion
    }
}
