﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Security.Principal;
using System.Runtime.Serialization;

namespace Wcdf.Security
{
    /// <summary>
    /// 表示未认证的身份标识    
    /// </summary>
    [Serializable()]
    public sealed class UnauthenticatedIdentity : BusinessIdentityBase
    {
        public string UserName { get; set; }
        public string Password { get; set; }
        /// <summary>
        /// Creates an instance of the object.
        /// </summary>
        public UnauthenticatedIdentity()
        {
            IsAuthenticated = false;
            Name = string.Empty;
            AuthenticationType = string.Empty;
        }
    }
}
