﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Wcdf.Data;
using WpfLib;
using System.ComponentModel;

namespace WpfClient
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        OrgInfoList list;
        public MainWindow()
        {
            InitializeComponent();           
        }

        #region 从表
        //取数
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Criteria cri = new Criteria();
            //cri.AddFilter<OrgInfo>(o => o.KeyID == Guid.Parse("B6068CCD-7C44-4BEB-9E3C-9178C287E3E7"));
            list = Wcdf.DataPortal.Fetch<OrgInfoList>(cri);
            this.dataGrid1.ItemsSource = list;            

        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            OrgInfo org  = list.AddNew();
            org.KeyID = Guid.NewGuid();
            //org.OrgCD = "我是新增的";
        }

        private void button10_Click(object sender, RoutedEventArgs e)
        {
            list.Save();
        }
        #endregion

        #region 单表
        //单表取数
        private void button7_Click(object sender, RoutedEventArgs e)
        {
            Criteria cri = new Criteria();
            cri.AddFilter<OrgInfo>(o => o.KeyID == Guid.Parse("B6068CCD-7C44-4BEB-9E3C-9178C287E3E7"));
            OrgInfo info = Wcdf.DataPortal.Fetch<OrgInfo>(cri);
            //OrgInfo info1 = Wcdf.Portal.Create<OrgInfo>();
            this.stackPanel1.DataContext = info;
        }
        //编辑
        private void button3_Click(object sender, RoutedEventArgs e)
        {
            ((IEditableObject)this.stackPanel1.DataContext).BeginEdit();
            //(this.stackPanel1.DataContext as OrgInfo).BeginEdit();
        }
        //取消
        private void button4_Click(object sender, RoutedEventArgs e)
        {
            (this.stackPanel1.DataContext as OrgInfo).CancelEdit();
        }
        //保存
        private void button5_Click(object sender, RoutedEventArgs e)
        {
            (this.stackPanel1.DataContext as OrgInfo).Save();
        }
        //删除
        private void button6_Click(object sender, RoutedEventArgs e)
        {

        }
        #endregion

       
    }
}
